/**
 * This package contains the utility classes for writing BeanInfo classes for screens, actions and form components.
 * <p>
 * See the <a href="../../../../overview-summary.html">API overview</a> for general remarks on
 * how to use the install4j API.
 * </p>
 * <p>
 * <b>This package is optional</b>. No other packages use this package. By developing BeanInfo classes
 * according to the <a href="http://www.oracle.com/technetwork/articles/javaee/spec-136004.html">JavaBean specification</a>, you can
 * control the configurability, presentation and validation of your beans at design time. <b>BeanInfo classes
 * do not influence runtime behavior.</b>
 * </p>
 * <p>
 * When developing bean infos for your beans, it is recommended to use the appropriate
 * derived class of {@link com.install4j.api.beaninfo.Install4JBeanInfo} as the base class.
 * {@link com.install4j.api.beaninfo.Install4JPropertyDescriptor} and its derived classes provide factory methods
 * for generating property descriptors with the appropriate named attributes.
 * </p>
 */
package com.install4j.api.beaninfo;